POST/Orders/{orderId}/versions
Creates the order's working revision by snapshotting its current state, which unlocks a locked order for
editing. If an unsent working revision already exists it is re-snapshotted instead. Takes no body, is refused on
an abandoned or canceled order, and returns the revision.
Path Parameters
| Field | Type | Required | Description |
|---|
| orderId | uuid | Required | |
Request Body
Type: MintOrderVersionRequest
Response
| Field | Type | Description |
|---|
| id | uuid | |
| number | integer | |
| status | string| null | |
| declaredStatus | string| null | |
| createdAt | date-time | |
| createdByUserId | uuid| null | |
| sentAt | date-time| null | |
| sentByUserId | uuid| null | |
| documentCount | integer | |
| version | GetOrderVersionResponsePayload | |
GetOrderVersionResponsePayload
| Field | Type | Description |
|---|
| orderName | string| null | |
| externalNotes | string| null | |
| isDelivery | boolean | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| billing | GetOrderVersionResponsePayloadContact | |
| delivery | GetOrderVersionResponsePayloadContact | |
| groups | GetOrderVersionResponsePayloadGroup[]| null | |
| lines | GetOrderVersionResponsePayloadLine[]| null | |
| expenseLines | GetOrderVersionResponsePayloadExpenseLine[]| null | |
| scheduleBlocks | GetOrderVersionResponsePayloadBlock[]| null | |
| Field | Type | Description |
|---|
| name | string| null | |
| company | string| null | |
| email | string| null | |
| phone | string| null | |
| address | string| null | |
| city | string| null | |
| state | string| null | |
| country | string| null | |
| postalCode | string| null | |
GetOrderVersionResponsePayloadGroup
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| notes | string| null | |
| index | integer | |
| isDelivery | boolean | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| delivery | GetOrderVersionResponsePayloadContact | |
GetOrderVersionResponsePayloadLine
| Field | Type | Description |
|---|
| id | uuid | |
| needId | uuid | |
| resourceTypeName | string| null | |
| lineItemLabelTemplate | string| null | |
| quantity | number | |
| unitAmount | number | |
| lineTotal | number | |
| groupId | uuid| null | |
| index | integer | |
| showScheduleDetail | boolean | |
| properties | GetOrderVersionResponsePayloadProperty[]| null | |
GetOrderVersionResponsePayloadExpenseLine
| Field | Type | Description |
|---|
| id | uuid | |
| description | string| null | |
| quantity | number | |
| unitAmount | number | |
| lineTotal | number | |
| groupId | uuid| null | |
| index | integer | |
GetOrderVersionResponsePayloadBlock
| Field | Type | Description |
|---|
| id | uuid | |
| needId | uuid | |
| name | string| null | |
| typeName | string| null | |
| start | date-time | |
| end | date-time | |
| areaName | string| null | |
| collaboratorName | string| null | |
GetOrderVersionResponsePayloadProperty
| Field | Type | Description |
|---|
| resourceAttributeId | uuid | |
| label | string| null | |
| responseType | string| null | |
| value | string| null | |